"use strict";

import ImageFromView from "./NativeImageFromView.js";
import { findNodeHandle } from 'react-native';
class MakeImageError extends Error {
  constructor(message) {
    super(message);
  }
}
export let OutputType = /*#__PURE__*/function (OutputType) {
  OutputType["BASE64"] = "base64";
  return OutputType;
}({});
export function makeImageFromView(containerRef) {
  const tag = findNodeHandle(containerRef);
  if (!tag) throw new MakeImageError('Container not found');
  return ImageFromView.makeImageFromView(tag, {
    outputType: OutputType.BASE64
  });
}
//# sourceMappingURL=index.js.map