import type { TurboModule } from 'react-native';
import { TurboModuleRegistry } from 'react-native';

enum OutputType {
  BASE64 = 'base64',
}
interface Options {
  outputType: OutputType;
}
export interface Spec extends TurboModule {
  makeImageFromView(tag: number, options: Options): Promise<string>;
}

export default TurboModuleRegistry.getEnforcing<Spec>('ImageFromView');
