"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OutputType = void 0;
exports.makeImageFromView = makeImageFromView;
var _NativeImageFromView = _interopRequireDefault(require("./NativeImageFromView.js"));
var _reactNative = require("react-native");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
class MakeImageError extends Error {
  constructor(message) {
    super(message);
  }
}
let OutputType = exports.OutputType = /*#__PURE__*/function (OutputType) {
  OutputType["BASE64"] = "base64";
  return OutputType;
}({});
function makeImageFromView(containerRef) {
  const tag = (0, _reactNative.findNodeHandle)(containerRef);
  if (!tag) throw new MakeImageError('Container not found');
  return _NativeImageFromView.default.makeImageFromView(tag, {
    outputType: OutputType.BASE64
  });
}
//# sourceMappingURL=index.js.map